Welcome to Home Server SMART

Home Server SMART Logo

Welcome to Home Server SMART!

Dojo North Software Home Server SMART Help is designed to provide you a ready means to answer your questions about the Home Server SMART (HSS) software, from how to use it to what various statuses and messages mean. The HSS help is provided in the form of a Compiled HTML (CHM) help file, which consists of three major tabs that make it easy for you to find what it is you're looking for.

  • Contents Tab: This tab displays the contents of the help file as books, or chapters. As you expand a book, it can contain one or more books, as well as one or more pages. The purpose of the books, or chapters, is to organize relevant content together. This makes it easy to navigate from one chapter to the next, and if you're searching by chapter, you can find the desired content in a logical place.
  • Index Tab: This tab displays a list of keywords and phrases. If you're looking for a specific term, you can quickly scan through this topic list. Once you find the topic you want, double-click on it to display the desired page.
  • Search Tab: This tab allows you to search for any term, whether or not the term is listed in the Index tab. All pages in the help file that contain your search term will be displayed, and you can double-click on the desired page to bring it up.

Not sure where to start? Check out the pages in the Overview chapter.

This software is 100% free and contains no advertisements or spyware. It will never nag about registration or trials. However, if you like this software and would like to show a small token of appreciation, would you care to treat me to a Starbucks Frappuccino?

Important Note: This version of Home Server SMART is intended for use on the "v1" of Windows Home Server. It should not be installed in Windows Home Server 2011. I plan on releasing a WHS 2011 edition of Home Server SMART in 3Q 2011.


What's New in Home Server SMART?

This version of Home Server SMART was being released primarily as a bugfix release, but then I decided to add some features that had been requested. This release is a stepping stone release to version 2.0, which will be a major overhaul of how Home Server SMART collects information about disks, feature proactive monitoring, alerting and more.

Is there something you'd like to see added in a future release? Is there something you think doesn't belong? Or perhaps you've found a bug? Whatever the case may be, please visit the official forum on Home Server Land @ http://www.homeserverland.com/forum/index.php?/forum/38-home-server-smart/ and leave a forum post. You may also visit https://www.dojonorthsoftware.net/bugtraq if you'd like to tender a bug report.

Version 2.0.8.25 - (August 25, 2011)

New Features

  • Home Server SMART runs as a Windows Service. Disks are monitored automatically every 3 minutes (configurable) and health alerts are accordingly raised in WHS. Polling can be done as little as once per minute, up to once every two hours. The service runs and monitors continuously whether or not you are logged into the WHS Console.
  • USB disk support. Many USB external enclosures with SMART-capable disks will expose their SMART data that Home Server SMART can use to display full health details. Not all USB enclosures are supported.
  • Double-click feature in SMART details. Double-click on any SMART attribute for any disk to get a more in-depth look at that attribute.
  • Added a green starburst icon next to attributes Home Server SMART classifies as super critical. This does not mean the attribute is causing a problem; rather, it is HSS' way to highlight attributes HSS watches more closely.
  • Added an examination of each attribute's Flags field, which tells whether or not an attribute is Critical, as well as whether it's an error rate, event counter, self-preserving, statistical or performance.
  • Added an icon to the physical disk list which gives a quick visual indication of a disk's health.
  • Added the ability to ignore certain problems (i.e. bad sectors); problems that are ignored don't generate health alerts again unless the number of events increases, or the SMART threshold is exceeded.
  • Added the ability to delete stale (no longer installed) disks from the Registry.
  • Added the ability to reset the user-configurable settings, ignored problems or everything. Resetting everything deletes all information about all disks and starts over fresh.
  • Added the ability to stop and start the Windows service.
  • Added a Settings button to pull up Home Server SMART settings directly.
  • Added Windows event logging.
  • Added Debugging controls to the settings, which can be used if necessary to aid in troubleshooting.
  • Added the ability to check for updates from the Settings dialogue.

Changes to Known Good Functionality

  • Removed the Email tab from Settings. Please use Alex Kuretz's Remote Notification add-in if you desire emailed alerts. Alex's add-in also supports SMS messaging and more.
  • Combined some modules to eliminate a DLL and reduce the application's overall footprint and memory consumption.
  • Disabled (dimmed) the ability to ignore Critical alerts. May enable at a later date, but it seems to defeat the purpose of the add-in.
  • Changed several icons on buttons in the main UI.
  • SMART data in UI is read directly from the Registry. This results in much faster application loading and display.
  • Refresh button triggers an immediate, manual polling of data which updates the Registry data for display.
  • "Please Wait" message appears during manual refresh.
  • Changed the attribute "type" text that is displayed from "Health" and "Age" to "Pre-Fail" and "Advisory," respectively.
  • Changed how the attribute "critical" flag is displayed. Previously it was set to Yes for any attribute with a non-zero threshold. This is incorrect per the SMART specification. Correct analysis relies on the attribute's Flags field.
  • Changed how a disk's health is reported when its Value falls to EQUAL its non-zero threshold. Previously this would set the attribute to Fail; it is now set to Warning (SMART specification states that an attribute fails when the Value is LESS than the threshold).
  • Changed the number of bad sectors, end-to-end errors and other super critical attributes necessary to trigger Critical and Degraded states.

Bug Fixes

  • HSS-14: Can't view SMART status for any drives. This was caused by improper NULL checking on servers with media card readers, including those attached to printers.
  • HSS-15: Warnings stay even though un-checked.
  • HSS-16: Some disks no longer show SMART data (they did in previous production build).
  • HSS-17: WHS Console Crash when refreshing. This could happen when certain Resets are performed in the Settings. In-use objects are marked for deletion and the user must log out and back in to clear the objects.
  • Fixed problem with Silicon Image SiI controllers which don't expose SMART threshold data via standard COM (P/Invoke); WMI is used to get this data.
  • Fixed a NullReferenceException that was thrown when populating the Select a Disk to View field. This is caused by some disks not exposing a string in the Win32_DiskDrive field.
  • Fixed "not supported" error some users were still encountering.

Known Issues

  • Some users with Silicon Image SiI controllers that previously exposed SMART data but stopped doing so may not see SMART data from those controllers. Some users have reported this after performing factory resets to their home servers. This data also disppears from WMI, so even previous versions of Home Server SMART will not display data for them.
  • Users with Sunplus USB enclosures: Only one Sunplus bridge chip is working with HSS, specifically VID 04FC, PID 0C15. Users with USB disks on other Sunplus chips will not see SMART data from those disks.

Version 1.1.36.6 - (November 2, 2010)

New Features

  • Stores configuration data, including customizable items, in the Windows Registry.
  • Makes the temperature thresholds for warm, hot, overheated and critical completely customizable. Defaults are 42, 50, 55 and 65 degrees, Celsius, respectively.
  • Allows you to ignore alerts on disks that report Warm, or both Warm and Hot.
  • Customize the temperature display. Instead of displaying Celsius (with Fahrenheit as an afterthought), you get to choose how you want the temperature displayed. Celsius is the default, but you can choose Fahrenheit as well. Or, if you're feeling really geeky, you can even choose Kelvin!

Bug Fixes

  • Fixed a NullReferenceException that was thrown when you clicked on a disk to view its physical properties. Not all disks make data available on every attribute, and Home Server SMART wrongly assumed they did. Each value is now checked for validity to prevent this from happening.
  • Fixed the dreaded "WMI worker process encountered an exception: not supported." The message text "not supported" is an error returned by WMI when Home Server SMART queries the MSStorageDriver_AtapiSmartData WMI class. If the server does not have any supported controllers and/or disks installed, WMI would raise this error, and Home Server SMART didn't do the best job in dealing with it.
    • The most serious part about this is that it would prevent any disks from showing up in the list of disks, and the entire add-in is rendered completely useless.
    • The second problem is that the error isn't very meaningful, other than the try/catch handler prevented the entire add-in from crashing outright.
    • The Fix: Moved the WMI calls for S.M.A.R.T. into a separate try/catch block. Now when "not supported" occurs, it is a local failure and does not affect other parts of the add-in. Disks installed in the server are displayed, as they should be, even though S.M.A.R.T. data won't be available for them. The error message is also revised to state that no S.M.A.R.T.-supported disks were detected, so it's a more meaningful message if it appears.
  • Fixed the disk capacity sort in the list of physical disks. The Capacity column contains both numbers and text, so the sort is performed as a text sort, not a numeric sort. Thus a 55 GB disk would appear aftera 250 GB disk in ascending order, since alphabetically (text) the number 2 comes before 5. The column is now fixed to perform a numeric sort against the raw number of bytes on the disk, so the disks sort in appropriate numeric order.

Version 1.0.1.21 - (January 21, 2010)
Joseph B. Sawyer Memorial Release

New Features

  • Full context help added.
  • Improved UI during multi-threaded operations.

Bug Fixes

  • Changed WMI worker thread to make UI look better.
  • Improved WMI worker thread performance. Previous methods were very inefficient and made multiple excessive WMI calls, resulting in slow performance and slow response.

Version 0.9.0.0 - (January 18, 2010)

New Features

  • Quick Help added.
  • Blue color scheme added.
  • Multi-threaded WMI operations.
  • Added content (copyright, logo) to Settings page.

Bug Fixes

  • Fixed label background color mismatch.
  • Fixed list view selection change exception.

Known Issues

  • UI looks funky during WMI operations.

Version 0.8.0.0 - (January 14, 2010)

New Features

  • First public release (beta).


Home Server SMART Overview

Home Server SMART is an Add-in for Microsoft's Windows Home Server (WHS) operating system. It is installed via the WHS Console. Once installed, Home Server SMART enables you to monitor the health of your hard disks via Self Monitoring Analysis and Reporting Technology, or S.M.A.R.T. Hard disks that support S.M.A.R.T. are able to report information about one or more attributes that indicate the health condition of the disk. Disks configured in WHS as SATA, eSATA, IDE and USB are generally supported by Home Server SMART; some special configurations such as SATA RAID that do not report S.M.A.R.T. data are not fully supported in Home Server SMART. Disks that are attached via USB or IEEE 1394 (FireWire) may not fully supported. USB external enclosures contain a "bridge chip" that translates commands between USB and IDE/SATA. If the bridge chip supports S.M.A.R.T., then Home Server SMART should be able to report it to you.

Home Server SMART uses a variety of methods to read S.M.A.R.T. data from disks; the type of disk (i.e. IDE/SATA vs. USB) will determine which method is used. Silicon Image SiI controllers don't expose S.M.A.R.T. thresholds as one might expect, and they require some special handling but the data can be retrieved. For all disks and controllers that expose the S.M.A.R.T. data, Home Server SMART will be able to read the data and display it to you.

S.M.A.R.T. data can reveal a number of things about a disk, such as how many hours it has been running, whether or not it has developed bad sectors, temperature and more. While S.M.A.R.T. technically is a standard, vendors have a wide degree of latitude in which attributes they implement and how they report them. Therefore not every disk will report the same set of attributes.

Home Server SMART collects and analyzes the attributes from each disk that reports them, and displays them in an easy-to-understand table. For each attribute, Home Server SMART will indicate if it detects a problem. Some problems are serious and could indicate a disk that is ready to fail; others are minor such as a high temperature that can be easily remedied. Home Server SMART will also suggest corrective action(s) if they are deemed necessary.

Home Server SMART is not a backup or recovery utility. It is simply a monitoring tool, and it makes no guarantees about the health of a disk. S.M.A.R.T. is an imperfect technology, and it is perfectly possible for a disk to be functioning flawlessly one minute, and be dead five minutes later. By the same token, a disk could be reporting a failure state on multiple attributes, and yet the disk will continue to function without trouble for five more years. These are extreme examples, but it is important to be aware that neither Dojo North Software nor S.M.A.R.T. make any guarantees about the safety of your data. You should always have a disaster recovery plan in place should a hard disk fail.


Automatic Disk Health Monitoring

When you install Home Server SMART, a special component called a Windows Service is installed. Windows services are special applications that are designed to run all the time, whether or not a user is actually logged on. The Home Server SMART Service starts automatically each time WHS is rebooted, and runs continuously without any intervention on your part.

The Home Server SMART Service polls your disks at a predefined interval, by default every three minutes. You can adjust the interval to as little as once per minute to as high as once every two hours.

The service performs four major operations at each polling interval:

  • Collect data about each disk and write it to the Registry. This allows the information to be processed later as well as provides fast access from the UI.
  • Examine the data stored in the Registry to check for disk health problems. If any problems are detected, they are added to the alert message queue. Problems that no longer exist are flagged for removal from the queue.
  • Clear stale disk alerts from the message queue. A disk is considered stale if it has been removed from the server. Home Server SMART does not delete this disk's saved information, since the disk may be added back later. But if there are any active alerts for this disk, they can be cleared since the disk is removed.
  • Process the alert message queue. New problems raise an alert in WHS. Problems that no longer exist are cleared from WHS. Existing problems that have no changes remain active in WHS.

The below screen capture shows a server with two unhealthy disks. The first disk listed has a very high number of spin retry attempts. While it has not yet violated the SMART threshold, Spin Retry Count is considered a super critical attribute in HSS and therefore monitored more strictly. This is why the disk health is considered Critical. The disk further down in the Home Network Health window is showing degraded health for two reasons. The first is that it has met the SMART threshold for Airflow Temperature, and is running "hot" on the Temperature field.

SMART Alerts in WHS

Shortly after that screen capture was taken, the disk got too hot and violated the SMART threshold for Airflow Temperature. A Critical alert showed up in the system tray of all connected computers.

Visiting the UI and selecting the disk in question sheds more light on the subject. Select the disk in question, then click the SMART Status button. This will pull up only the active alerts for that disk, rather than the WHS alerts, which shows all active (and ignored) alerts on the entire server. Behind the alert dialogue you can see the Airflow Temperature has changed to Fail, since the SMART threshold has been violated. The Temperature field also shows that the disk is Hot.


Running Home Server SMART

Home Server SMART consists of two components: a Windows service and a WHS UI. Both are installed at the time you install the add-in, and the service is started immediately. This loads the default configuration and starts monitoring your disks for problems right away. Detected problems are raised via WHS' own health reporting, and your server's status can be changed to Warning or Critical depending on the nature of problem(s) detected.

To run the Home Server SMART UI, connect to the Windows Home Server Console, and select Home Server SMART from the list of installed applications in the main Console menu bar.

When Home Server SMART is run, it will query the Windows Registry, where the Windows service component stores its collected data. The service stores not only the S.M.A.R.T. data, but also health flags that the UI can read.. The list of physical disks will be populated, and the first disk is automatically selected. Physical disk characteristics will be displayed in the physical disk information pane, and if S.M.A.R.T. data is available from the disk, the S.M.A.R.T. deails table and quick statistics bar will be populated.

New in version 1.6.10.28, the physical disk list contains health indicators for each disk, which will indicate if the disk is healthy, has a warning or critical problem or if its health is unknown. This provides a ready indication of a potential problem so you can click directly on a disk showing a problem, rather than having to click through each one.

Below is an example of what you may see. The example below is from my WHS, which contains a mix of SATA, eSATA and USB disks.

To navigate, simply click a physical disk and its physical attributes, as well as any S.M.A.R.T. data (if available), will be displayed for you. If you add or remove disks, or just want to refresh the data of existing disks (many S.M.A.R.T. attributes change constantly), click the Refresh Disks button.

Click the SMART Status button to get a health summary of the selected disk. A health summary will look similar to this example:


Main Window Tour

Nearly everything you'll do in Home Server SMART will be done in the main window. Therefore it is good to be familiar with the components of the main window. The main window is broken down into five key components:

  • Menu Bar
  • Physical Disk Selector
  • Physical Disk Information
  • S.M.A.R.T. Details Table
  • Quick Stats

Menu Bar

The Menu Bar presents you with these options:

  • Refresh Disks - Queries all disks attached to your Server for the latest information. Existing data is cleared and fresh data is populated. If you've added new disks, they will be available for viewing. If you've removed any disks, they will no longer be available for analysis. Depending on how many disks you have, this process usually takes several seconds. Note that refreshing the disk does not update some items such as ignored problems or existing alerts; these items are updated only when the disks are polled by the service.
  • SMART Status - Displays a health summary of the selected disk (in the Physical Disk Selector). This informs you of the disk's overall health (i.e. healthy, critical), as well as whether or not any problems were detected.
  • Quick Help - Displays a quick overview of S.M.A.R.T. and its attributes.
  • Ignore Problem (not visible) - This button appears only if you click on a specific problem that Home Server SMART allows you to ignore. The button is otherwise hidden.
  • Settings - Pulls up the Home Server SMART settings dialogue directly.
Physical Disk Selector

The Physical Disk Selector displays all physical disks attached to the Server, regardless of interface. Whether the disk is IDE (PATA), SATA/eSATA, SCSI, USB or IEEE 1394, it will be displayed. If any flash drives are attached, they too will be displayed, and can be selected.

The Physical Disk Selector will display the physical hardware path, in the format \\.\PHYSICALDRIVEx (where "x" is a number), as well as the disk's model and capacity.

The model column will display an icon next to each disk which provides a quick overview of the disk's status. If the disk is healthy, a green circle with a checkmark is displayed. If the disk is too hot, or if some problems are starting to appear, a yellow triangle with an exclamation point is shown. A disk that is critically hot or has serious problems will show a red circle with an X. A disk that has an unknown health status will show a blue circle with a question mark.

To view the physical disk characteristics, as well as S.M.A.R.T. data (if available), click on a disk in this list. Regardless of the disk (hard disk or flash drive) and interface type, data will always be displayed in the Physical Disk Details. PATA and SATA/eSATA disks that expose S.M.A.R.T. data will show that data in the S.M.A.R.T. details table.

Physical Disk Details

The Physical Disk Details provides you with some data about the disk that you may find useful. Information such as the disk's model, physical location, interface type, operating system status and storage driver failure prediction flag are presented. Details about the disk capacity are also presented, such as the number of sectors, cylinders, heads, etc.

The Physical Disk Details also provides you with the disk's Advertised Capacity and Real Capacity. The Advertised Capacity is the base-10 capacity of the disk, which is the number manufacturers use when selling a disk. The Real Capacity is the actual, usable capacity of the disk, and is the base-2 capacity. The Real Capacity is the value the operating system reports as being available to you.

For example, a manufaturer may sell you a disk and claim its capacity is 1 terabyte, or 1,000,000,000,000 bytes. This is because manufacturers define 1 MB and 1 GB in base-10, so 1 MB is 1,000,000 bytes and 1 GB is 1,000,000,000 bytes. In reality, MB, GB and TB are defined in base-2, so 1 MB is realy 1,048,576 bytes and 1 GB is really 1024 MB (not 1000 MB as manufacturers like to claim), and therefore 1,073,741,824 bytes.

So when you buy a hard drive that a manufacturer claims is 1 terabyte, or 1,000,000,000,000 bytes, you're actually getting 931.51 GB, sine a terabyte is really 1,099,511,627,776 bytes!

S.M.A.R.T. Details Table

If the selected hard disk has S.M.A.R.T. data available, that data is displayed in the S.M.A.R.T. Details. Each attribute is displayed on its own line. The details displayed are as follows:

  • Super Critical attribute (green starburst)
  • Attribute ID (decimal)
  • Attribute ID (hex)
  • Attribute Name
  • Critical (yes/no)
  • Type (pre-fail/advisory)
  • Threshold
  • Value
  • Worst
  • Status (healthy, fail, degraded, etc.)
  • Raw Data

Consult the What is S.M.A.R.T. portion of this help for more details on these attributes, as well as S.M.A.R.T. in general.

To learn more about the selected attribute, double-click on it. If the attribute in question is showing a problem that you are allowed to ignore, the Ignore Problem button appears.

Quick Stats

The Quick Stats give you an at-a-glance view of the most sought-after attributes that most users want to see right away, without having to wade through the whole list of attributes. The attributes presented here are:

  • Bad (Reallocated) Sectors
  • Pending Bad Sectors
  • Reallocation Events
  • Temperature (in Celsius, Fahrenheit or Kelvin, depending on your preference)

Next to each of these attributes will be an icon. The icon may be a green circle with white checkmark, yellow triangle with exlamation mark or red circle with a white "X".

If the icon is green, the attribute is healthy and of no concern. If the icon is yellow, there is a problem that has the potential to become serious. You should keep a close eye on the disk and be sure the problem doesn't get worse. If the item in question is the temperature, make sure that all fans are functioning correctly and that the disk is receiving good airflow. Note that if S.M.A.R.T. data is not available for the disk, all of the values will show N/A and have a yellow icon.

If the icon is red, a serious problem exists and it is recommended that you take immediate corrective action. If the temperature is the problem, get the disk cooled quickly. If the problem is related to bad sectors or reallocation events, the disk should be replaced.


S.M.A.R.T. Status Window

The S.M.A.R.T. Status window provides you a concise summary of any problems detected with your disk. It may be difficult to interpret the S.M.A.R.T. data, so the S.M.A.R.T. Status can point out any problems that may be demanding your attention. The S.M.A.R.T. Status window uses a combination of colors, icons and messages to convey the health of your disk to you.

If your disk is healthy, the only color of messages will be green. A green shield icon will be at the top of the window, showing a status of Healthy. The example below shows a disk that has no problems.

Unfortunately disks aren't always healthy forever, and some may have more problems than others.

Minor problems are reported with yellow messages. If a disk has only minor problems, the disk's health status will show Warning, and a yellow shield icon will be displayed at the top of the window. This means the disk's health is at risk, and when a disk is in this state, the disk could very easily slip into a much more critical state with or without additional warning, or it could fail entirely. A disk that is in a Warning state should be monitored closely and replaced if additional problems are detected. Some people would much rather not even bother using a disk in this degraded condition and will replace it.

Serious problems are reported with red messages. If a disk has one or more serious problems, the disk's health status will show Critical, and a red shield icon will be displayed at the top of the window. This means the disk's health is at great risk of fairly imminent failure. Unless the only reason your disk is Critical is because the temperature is extremely hot, you should replace the disk as soon as possible. If the temperature is the problem, you should take corrective action (i.e. check fans, airflow, etc.) to cool the disk off immediately.

Below is an example of a disk that is exhibiting serious problems and should be replaced as soon as possible:

The disk that produced this Critical health shows the corresponding data in the S.M.A.R.T. Details, clearly showing its problem. You can see the end-to-end errors, along with the attribute status of Fail (threshold is violated):

SMART Details with ETE Failure

If a disk is attached via USB or IEEE 1394, or if the disk doesn't support S.M.A.R.T. monitoring for any other reason (either the disk doesn't support it or the disk is part of a RAID volume), you may see a S.M.A.R.T. status like this one:


Home Server SMART Disk Health

Home Server SMART takes several variables into consideration when calculating a disk's health:

  • Whether or not any health-related S.M.A.R.T. attribute value has fallen less than or equal to its threshold.
  • Whether or not any of the super-critical attributes has reached a degraded state (value is still greater than threshold, but Raw Data shows a potential problem). The super-critical attributes are, and they reach a degraded state when even one event is detected (if a threshold is violated, the attribute is set to fail):
    • 05 - Reallocated (Bad) Sector Count
      • 1 event required to change disk health to Warning
      • 20 events required to change disk health to Critical, even if threshold is not violated
    • 0A - Spin Retry Count
      • 3 events required to change disk health to Warning
      • 15 events required to change disk health to Critical, even if threshold is not violated
    • B8 - End-to-End Error (exceedingly rare, but severe)
      • 1 event required to change disk health to Warning
      • 2 events required to change disk health to Critical, even if threshold is not violated
    • C4 - Reallocation Event Count
      • 1 event required to change disk health to Warning
      • 20 events required to change disk health to Critical, even if threshold is not violated
    • C5 - Pending Sector Count
      • 1 event required to change disk health to Warning
      • 30 events required to change disk health to Critical, even if threshold is not violated
    • C6 - (Offline) Uncorrectable Sector Count
      • 5 events required to change disk health to Warning
      • 50 events required to change disk health to Critical, even if threshold is not violated
    • C7 - Ultra DMA CRC Error Count (least serious of all super-criticals)
      • This attribute is never degraded.
      • 50 events required to change disk health to Warning
      • This is usually caused by a problem with a data cable, and less likely a disk problem.
  • Raw Read and Seek Error Rate are also shown in the UI as being super critical but unfortunately these attributes vary widely between disk manufacturers and I haven't found a solid guideline for these and so I don't flag them at this time.
  • Whether or not a disk temperature has reached extreme (critical) or hot (warning) levels.
  • Whether or not an attribute is geriatric.
  • For disks that do not report S.M.A.R.T. data, whether or not the storage driver (WMI) failure prediction flag is set to True.

Home Server SMART specifies the following precedence for disk health:

  1. Critical
  2. Warning
  3. Geriatric
  4. Unknown
  5. Healthy

In other words, if Home Server SMART detects even a single attribute that causes a disk's health to be Critical, it doesn't matter if all of the other attributes are perfectly healthy. The disk is still critical. If there is a combination of Critical, Warning and Healthy, the overall status is still Critical. Put simply, in order to provide the best level of protection (advance warning), the worst status prevails.

A disk will possess a health status of Unknown if the the disk does not report S.M.A.R.T. data. This lack of reporting may be due to a USB bridge chip in an external enclosure that doesn't support it, or it may be because the disk is part of a hardware RAID or attached to a SCSI controller.


Customizing Home Server SMART

Home Server SMART provides you with a variety of options that you can customize.

General Settings

The General settings allow you to specify how often Home Server SMART polls your disks for S.M.A.R.T. data. The polling not only fetches this data, but performs a health assessment of the data. The default polling interval is 3 minutes; you can set it as little as 1 minute or as many as 120 minutes (2 hours). Alerts are generated, updated or cleared only when the service polls the disks, so setting this unnecessarily high is discouraged.

You also have the option of ignoring certain problems. You can ignore both Critical (not recommended) and Warning alerts, as well as Warm and Hot temperature alerts. A checkbox for ignoring Overheated is displayed, but always dimmed. Ignoring such serious items is not recommended and should only be used by advanced users.

Temperature

Home Server SMART allows you to customize how it handles the temperatures of your disks. Previous versions of Home Server SMART had hard-coded values for the following temperature thresholds, which are now the defaults:

  • Critical - an extremely hot temperature that would likely cause damage to a disk in a short period of time (i.e. minutes or hours). A disk was considered critically hot at a Celsius temperature of 65 or higher (149 °F).
  • Overheated - a very hot temperature that would likely cause damage to a disk if allowed to operate for a moderate period of time (i.e. days). A disk was considered overheated at a Celsius temperature of 55 or higher (131 °F), but less than 65 °C.
  • Hot - a hot temperature that may cause damage to a disk, particularly if allowed to operate at that temperature continuously for extended periods (typically weeks or longer). A disk was considered hot at a Celsius temperature of 50 or higher (122 °F), but less than 55 °C.
  • Warm - a cautionary level which may not be a problem, but something to keep an eye on, especially if the disk never used to run too warm before. A disk was considered warm at a Celsius temperature of 42 or higher (107 °F), but less than 50 °C.

The temperatures listed above are the defaults, but you are welcome to change any or all of the values.

CAUTION: Great care should be taken in your temperature adjustments. If you set them unnecessarily high, you won't be warned of a disk that may be running too hot!

You must click the Save button to commit your change to the Registry. Click Cancel to back out any changes you made. You can also click Restore Defaults if you want to restore Home Server SMART back to its default configuration.

You are also provided with these options:

  • Customize which temperature scale to be displayed in the main window. Celsius is the default, used by all HDD manufacturers. The temperature changers always display Celsius, but if you choose Fahrenheit or Kelvin, appropriate temperatures are displayed next to the changers. The scale you choose is the only scale displayed in the main window, so if you choose Fahrenheit, that's what will be displayed in the main Home Server SMART window.
    • You have the choice of the three main temperature scales, Celsius, Fahrenheit and Kelvin.
    • You cannot set a more serious threshold to a temperature lower than a lesser threshold (i.e. you cannot set Critical to 50 and Overheated to 60). If you attempt to do this, the temperature changers will adjust themselves automatically so the the temperatures always remain valid.
    • The lowest temperature allowed is Absolute Zero, which is -273 °C, -459 °F or 0 °K.
    • The hottest temperature allowed is 1000 °C, 1832 °F or 1273 °K.
  • Ignore Warm and Hot temperature alerts. This option is provided to discourage users from setting the thresholds arbitrarily or excessively high to avoid being "bothered" by temeprature alerts. Since the Warm and Hot thresholds are the ones that would be encountered first, and they're less serious than Overheated or Critical, you have the option of ignoring them.
    • When you choose to ignore the Warm or Hot (or both) thresholds, Home Server SMART will continue to display a "healthy" status for the temperature, even if that threshold is violated.
    • You can choose to ignore only Warm alerts, or both Warm and Hot alerts. You cannot ignore just Hot alerts, and you can never ignore Overheated or Critical alerts.
Email Alerts

Permanently removed. Please support a fellow WHS add-in developer by downloading Remote Notification today! Available at http://www.remotenotification.com.

Advanced

The Advanced settings are intended for troubleshooting and cleanup purposes.

  • HSS Service - You can stop and start the Home Server SMART service if you'd like. In most cases there is no need to do this. However, if you've changed some settings and want to see the results of your changes immediately, restarting the service will accomplish this for you.
  • Delete Stale Disks - If you've removed disks from your Server, Home Server SMART does not purge the data from the Registry. If you add the disk back later, its HSS data is still there. However, if you've removed disks with no intention of re-adding them, this option will purge this data from the Registry.
  • Reset Ignored Problems - If you've chosen to ignore problems on one or more disks, such as bad sectors or end-to-end errors, and no longer want to ignore them, resetting the ignored problems takes care of this. All ignore counters are reset to zero and any disks that were previously "hiding" problems will generate automatic alerts again.
  • Restore Defaults - This option restores the application defaults (disk polling interval, alert options and temperature settings). This does not affect ignored problems. Use the Reset Ignored Problems button to clear those.
  • Reset EVERYTHING - This option should be used only if you're having problems with Home Server SMART that you can't figure out. This option stops the service, deletes all Home Server SMART data from the Registry (configuration and disk-related data) and restarts the service. When the service restarts, the default configuration is restored and the disks are re-polled. This restores Home Server SMART to the same state it was when it was installed.
Resources

The Resources are intended for displaying a link to the HSS homepage, the donation link and checking for updates.

Click on the Home Server SMART Homepage link to visit the HSS homepage. If you like this add-in and would like to show a small token of appreciation, please click on "Treat me to a Starbucks Frappuccino!" This will take you to PayPal where you can make a donation.

If you want to check for add-in updates, click Check. The latest version and release date will be displayed. If a newer version is available, a Download and More Info link will be displayed. If you're running the latest version, no links are displayed and instead a message dialogue will indicate you have the latest version.

The Preserve HSS data on uninstall (recommended) checkbox should remain checked. You should uncheck it only if you plan to uninstall HSS and not install a newer version. Unchecking this box will cause all HSS data to be removed if you uninstall the add-in.

History

History displays a version history, release notes, changes, etc.

Debug

The Debug options are intended for advanced users for troubleshooting purposes only. This was made available during the beta, and rather than removing it I decided to make it available. If you are comfortable with changing these settings, you may do so. The below descriptions will help you if you want to do some self troubleshooting.

The default settings for the Debug options are:

  • Attempt to get SMART data with WMI when P/Invoke fails - checked
  • Write debugging messages to the Event Log - UNchecked
  • Try zero-threshold method on SiI controller if primary fails - UNchecked

Attempt to get SMART data with WMI when P/Invoke fails
Home Server SMART has two methods it can use when querying hard drives for SMART data: P/Invoke and WMI (Windows Management Instrumentation). P/Invoke is several times faster than WMI, and thus is preferred. However, if the P/Invoke method fails, HSS will automatically attempt to fetch the data using WMI. If you uncheck this box, this WMI fallback will not be performed. The result is that may no longer obtain SMART data from disks that are reporting it. Unchecking this box is thus not recommended.

Write debugging messages to the Event Log
This option is dimmed. Debug messages are currently not coded in the add-in and thus this option is disabled.

Try zero-threshold method on SiI controllers if primary fails
Some Silicon Image (SiI) controllers do not return SMART threshold data on a P/Invoke call, so HSS automatically uses WMI to try retrieving this data. If the WMI call fails (no data is returned), then the HSS by default does not report any data for the disk. The reason for this is that a SMART application that is functioning properly should report correct data. Not displaying thresholds, or all zeros, is not "correct," per se, so not reporting anything is the default behavior. If you have disks attached to SiI controllers that are not reporting any data, and you want to override HSS' default behavior, check this box. In this mode, HSS will report the SMART data with all zeros for thresholds. This means the data may not be 100% accurate, but HSS can report some problems to you.


Ignoring Certain Problems

Windows Home Server allows you to ignore certain problems that pop up. Failed backups, antivirus software not running, etc. are all problems that you can choose to ignore. Simply click the Network Health icon, ignore the problems you don't want alerts for and they stop alerting.

Home Server SMART can generate a number of alerts for each disk. These are either Warning or Critical alerts, and will show up in the WHS Network Health. In previous versions of HSS, if you wanted to ignore HSS alerts, the only way to do so was via the WHS Network Health monitor. In this version of HSS, however, you can choose to ignore certain problems, so they never show up in the WHS Health Monitor at all! Ignoring them in the health monitor may not be permanent--they could come back after a server reboot, for example.

Ignoring a problem is not something to be taken lightly, as you could be masking a very serious problem and setting yourself up for data loss. However, some problems may be relatively minor and many folks like to take the "watchful waiting" approach to see if they worsen before deciding whether or not to replace a disk.

Bad Sectors Detected! You may notice one day that a disk has bad sectors. If the disk is out of warranty, and the disk is otherwise behaving normally, you may consider ignoring the problem to stop HSS from suppressing the alert.

HSS will no longer raise alerts for the item in question (i.e. bad sectors) on the disk that you choose to ignore--so long as the problem doesn't worsen. HSS keeps track of the event count when you chose to ignore it. If the problem gets worse (the count goes up), you will start receiving alerts again.

You can ignore any of the following on any disk where they appear, provided the SMART threshold for the disk has not been met or exceeded for the attribute in question. A violated threshold is considered a catastrophic failure condition and therefore cannot be ignored.

  • Bad Sectors (Reallocated Sectors Count)
  • Spin Retries
  • End-to-End Errors
  • Reallocation Event Count
  • Pending Bad Sectors
  • Offline Uncorrectable Sectors
  • Ultra DMA CRC Error Count

If you ignored a problem such as bad sectors and the SMART threshold for that item is later violated, the SMART threshold violation will be reported, regardless of the fact that you ignored the current bad sector count.

How to Ignore a Problem in Home Server SMART

If you decide to ignore a problem in HSS, you must connect to the WHS Console and navigate to the Home Server SMART UI. Find the disk(s) under Select a Disk to View that have unhealthy indicators. Once you've selected the disk in question, find the attribute generating the alert, under S.M.A.R.T. Details, and click on it. The Ignore Problem button should appear. Click it.

Ignore the Bad Sectors?

A warning dialogue will appear asking you to confirm this is really what you want to do, and also reiterates that if the problem worsens or the SMART threshold is violated, you will be alerted again. If you're sure this is what you want to do, click Yes.

If you click Yes, you will receive a confirmation. The confirmation will inform you of the attribute you're ignoring, along with the current event count. In the example below, there were 8 bad sectors on the disk when I chose to ignore them.

Ignored Alert Reactivation

Several hours after I chose to ignore 8 bad sectors on a disk, the alerts were reactivated because the count had gone up. Clearly this was not a fluke, but rather a disk that is destined for the junk heap. Thankfully it did not have any real data, as it was a test disk I knew had problems. The only purpose for that disk was to help me write this help document.

This tooltip popped up letting me know the problem I ignored had gotten worse...a LOT worse...

The Problem is Worse

Ignoring Problems in WHS

It is perfectly possible for you to ignore HSS-generated alerts in the WHS Network Health monitor, as shown in the examples below. You are very strongly discouraged from doing so! Home Server SMART doesn't allow you to ignore certain problems (within HSS itself) for a very good reason! If you choose to hide serious problems, you are setting yourself up for serious data loss. Don't do it!

Ignore via WHS Ignoring in WHS


Remote Notification

In a perfect world, you will be readily available to replace a disk at the first sign of trouble. In reality, however, you may not be anywhere near your server when a problem pops up. Wouldn't it be nice to know that there's a problem even when you're away from your server?

Alex Kuretz, founder of mediasmartserver.net, developed a wonderful add-in called Remote Notification, available at http://www.remotenotification.com. The Remote Notification add-in can alert you via email, SMS, Twitter and more. It is a wonderful tool and I highly recommend you use it. It runs for 30 days as a fully functional trial, after which it will revert to a limited lite mode (supports email and SMS notifications only). For a modest registration fee, good for life, it will retain all of its features.

I chose not to include built-in remote alerting in HSS on purpose. Alex developed a wonderful add-in, and to me it made no sense to reinvent the wheel. Please support a fellow WHS add-in developer and try out Remote Notification today! Below is a screen shot of Remote Notification displaying HSS related alerts.


Checking for Updates

Home Server SMART makes it easy to check for updates. To see if an update is available, launch the WHS Console, pull up Home Server SMART's settings, navigate to the Resources tab and click the Check button.

Check for Updates

Whether or not an update is available, the Latest Version and Release Date fields will be populated. If you're running the latest version, a message box will appear informing you that you have the latest version installed. If an update is available, however, two links will appear: Download and More Info. Click Download for a direct download, or More Info to visit the Home Server SMART web page.

To install the update, you must first uninstall Home Server SMART. Make sure the Preserve HSS data on uninstall (recommended) checkbox is checked. If this box is unchecked, all HSS data will be deleted from the Registry, including all of your customized settings.

After you've uninstalled the old version of HSS (don't forget to delete the old MSI from the Add-ins folder!), you will be able to install the new one.


All About Bad Sectors

What is a bad sector? In the simplest definition, a bad sector is a sector on the disk surface that is no longer usable. The read/write and error-checking mechanisms of the disk have detected one or more errors reading from or writing to the sector that were deemed significant enough that the sector should no longer be used for storage.

On the disk surface existing microscopic magnetic particles that are manipulated by the read/write heads. Each magnetic particle represents a bit (a 0 or a 1), and these particles in their arrangement in the sector represent valid data.

It is possible that when the disk was manufactured, some of the magnetic particles did not get correctly organized on the disk. Sometimes during the lifetime of the disk, a sector can get "worn out" after repeated reads and writes, and the particles may no longer be properly aligned. In more serious cases, the read/write head could touch, or scrape, the disk surface while the disk is spinning--a catastrophic condition known as a head crash.

Whatever the case may be, the disk's internal error-checking mechanisms may decide that a sector is no longer suitable for use. If the disk detects prolems reading from or writing to a sector, one of two actions will be taken against the sector by the disk's firmware:

  • Probation - The sector is placed "on probation" and flagged as a pending bad sector. For each sector that is pending, the raw data for the pending bad sectors attribute is increased by one. The sector is not considered bad at this point, and the sector is not reallocated. A sector is put on probation only on read operations; a reallocation never occurs on a read operation since it is possible the data may be readable later. If subsequent read and write operations on the sector complete successfully without any problems, the sector comes off probation, and the raw data count for pending bad sectors is decreased by one. If subsequent write operations on the sector result in errors, the sector is reallocated (see next item), and the raw data count for pending bad sectors is decreased by one.
  • Reallocated - When a sector is reallocated, the sector in question has the following actions taken against it:
    • The sector is flagged as a bad sector. It will never again be used for storage, nor will it ever be reconsidered for future use. This is a permanent operation.
    • The disk will attempt to recover data from the sector.
    • Whether or not data recovery is successful, the sector in question is reallocated (sometimes called remapped) to a sector in a special area of the disk known as the spare area. The spare area is an area of the disk with many spare, unused sectors that are used solely for the purpose of reallocations. All future requests to use the sector in question are transparently routed to the newly reallocated (or remapped) sector.
    • Any data recovered from the bad sector is written to the newly reallocated sector.
    • The Reallocation Event Count attribute is increased by one.
    • The Reallocated Sectors Count attribute is increased by one.
      • If multiple bad sectors are detected and reallocated in a single operation, the Bad Sectors Count will be increased by the number of affected sectors, but the Reallocation Event Count will only increase by one.

There is no requirement for a sector to go on probation before being classified as a bad sector. It is perfectly valid for a sector to go from a "good" sector directly to being a "bad" one. Some sectors go from being "good" sectors to being "on probation" before becoming "bad;" others go directly from "good" to "bad."

The Reallocation Event Count field is a counter of reallocation attempts, whether or not the sector reallocation attempt was successful. Reallocations can fail, particularly if the spare area's supply of spare sectors is exhausted, or if the sectors in the spare area themselves are bad.

If you see the reallocation event and reallocated sector counts possessing the same values, or similar values, more likely than not there are bad sectors scattered around the disk. However, if you see a reallocated sector count that is significantly higher than the reallocation event count, it is likely that the bad sectors form contiguous areas, since many sectors were likely reallocated in a single reallocation event. For example, if 13 bad sectors are detected during a write operation, the disk will reallocate them all at one time. The result will be an increase in the reallocated sector count by 13, but the reallocation event count will only increase by one.

How Serious is It?

When bad sectors start making an appearance on a disk, the inevitable question is this: how serious is it?

Obviously bad sectors are not a good thing--that's why they're called bad sectors. But does their appearance mean that your disk is going to die soon? Maybe, but maybe not.

If the bad sector(s) are the result of a manufacturing defect, there is a reasonable chance that your disk will continue to function normally for years without any additional fuss or trouble. But if the bad sector(s) are the result of some kind of electromechanical failure or a head crash, your disk is in serious trouble, and the end is likely near for the disk. Unfortunately, there is no sure-fire way to ascertain whether the appearance of a bad sector is simply a flawed area of the disk surface (manufacturing defect) or a true electromechanical failure (serious problem).

If your disk is within its warranty period, you should contact the manufacturer (many have RMA procedures you can carry out oline) to seek an in-warranty replacement. Many times manufacturers will require you to run their own diagnostic tools before accepting the return; others will simply accept S.M.A.R.T. results. Be sure to adhere to the manufacturer's protocol, and definitely seek the warranty replacement. In most cases, the warranty replacement will occur 100% free of charge, with the exception of you possibly needing to pay shipping to send in the bad one (many manufacturers send you a free return waybill).

If the disk is out of warranty, you may be tempted to take a gamble and see if the disk will survive. Here are some suggestions to help you decide on whether it is worth continuing to use the disk or if you should replace it right away. These are not necessarily the actions you should take, but rather suggestions to help you decide. The ultimate decision on whether or not to replace the disk rests with you. If the disk in question is the System disk, don't fool around. Back it up and replace it with a new one!

Cases where it may be worth continuing to use the drive (but keeping a close eye on it). Note that if you can afford to replace the disk, you probably should.

  • The drive is otherwise functioning normally, with no degradations of any other S.M.A.R.T. attributes.
  • The drive is not making any unusual noises. Clicking, grinding, scraping, high-pitched squealing and whining are all bad.
  • Only one bad sector has appeared, and a few weeks have elapsed since the bad sector appeared. The disk has been used extensively (plenty of I/O on the disk) since the bad sector appeared.
  • Multiple bad sectors appeared, but on a single reallocation operation. A few weeks have elapsed since the bad sectors appeared, and no new problems have surfaced. There is a reasonable chance that the bad sectors are the result of a manufacturing defect.
    • If more bad sectors start popping up, replace the disk.

Cases where you should replace the disk as soon as possible:

  • The disk is in warranty.
  • The disk is making clicking, grinding, scraping, high-pitched squealing or whining noises. (The disk may already be failed at this point.)
  • Bad sectors continue popping up after the first reallocation. This is likely a failure, not a simple manufacturing surface defect.
  • Any other attribute(s) start degrading.
  • Sectors go on and off probation, even if they "clear" probation (change from a "pending" back to a "good" sector).

Google has conducted research that suggests that 64% of hard disks are likely to fail within 30 days after the first bad sector appears; that number is significantly higher if two or more bad sectors are detected, especially if they are detected as part of separate reallocation events. If it is financially practical for you to replace the disk, regardless of the set of circumstances above, you should probably do so, rather than taking a chance on jeopardizing data. Google's research paper can be found here: http://labs.google.com/papers/disk_failures.pdf


What is S.M.A.R.T.?

S.M.A.R.T. stands for Self-Monitoring Analysis and Reporting Technology. S.M.A.R.T., oftentimes written as SMART, is a monitoring system for computer hard disks to detect and report on various indicators of reliability, in the hope of anticipating failures.

Hard disk failures fall into one of two basic categories, predictable failures and unpredictable failures. We are interested in the former; in the latter case, the disk fails catastrophically and without warning. In the case of predictable failures, disks usually begin to exhibit signs and symptoms that--since hard drives are mechanical devices--can be detected and tracked over time. These trends provide an early warning system that a hard disk is getting ready to die.

Mechanical failures account for about 60 percent of all drive failures. Most mechanical failures result from gradual wear, although an eventual failure may be catastrophic. However, before complete failure occurs, there are usually certain indications that failure is imminent. These may include increased heat output, increased noise level, problems with reading and writing of data, an increase in the number of damaged disk sectors, and so on.

The purpose of S.M.A.R.T. is to warn a user or a system administrator of impending drive failure while there is still time to take preventive action, such as copying the data to a replacement device. Approximately 64% of failures can be predicted by S.M.A.R.T. Work at Google on over 100,000 drives has shown little overall predictive value of S.M.A.R.T. status as a whole, but suggests that certain sub-categories of information which some S.M.A.R.T. implementations track do correlate with actual failure rates – specifically, in the 60 days following the first scan error on a drive, the drive is, on average, 39 times more likely to fail than it would have been had no such error occurred. Also, first errors in reallocations, offline reallocations and probational counts are strongly correlated to higher probabilities of failure. (Source: http://en.wikipedia.org/wiki/S.M.A.R.T. retrieved 1/20/2010)

Home Server SMART monitors the ATA S.M.A.R.T. attribute set, which is supported on many IDE (PATA) and SATA hard disks. Home Server SMART does not read SCSI S.M.A.R.T. attributes and, because there is no standard for reporting S.M.A.R.T. data over USB or IEEE 1394, Home Server SMART does not report S.M.A.R.T. data for them. Home Server SMART can, however, report limited failure information about most disks, regardless of type. This information is simply a true/false failure prediction flag reported by the Microsoft Windows storage driver WMI class.

The ATA S.M.A.R.T. specification defines a set of attributes. Each attribute tracks a particular characteristic of a hard disk (i.e. bad sectors, spin-up time, temperature). Disk manufacturers are free to implement as many or as few attributes as they choose; a manufacturer can claim a hard disk is S.M.A.R.T. capable even if only one attribute is implemented. Most disks have 10-20 attributes defined; disks may have up to 30 different attributes. Visit the aforementioned Wikipedia article about S.M.A.R.T. for details on the most common ones.

Each attribute contains the following fields:

  • Attribute ID - S.M.A.R.T. attributes possess an ID number 1-255 (01-FF in hex).
  • Flags - Specifies whether or not an attribute is critical or not; pre-fail or advisory; statistical, self-reporting or performance.
  • Raw Data - This field is where the manufacturer stores specific data relative to the attribute. While the manufacturer theoretically could store any kind of data there, most often this field is used as a counter of events, temperature (in Celsius), power-on hours (usuall in seconds or hours), etc. The raw data field can store data, in hexadecimal format, from 0x000000000000 - 0xFFFFFFFFFFFF. Oftentimes a vendor may use the lowest-order bits (right-most) to store data such as counts, while using higher order bits to store other data, possibly not even related to the attribute. That is why it's possible to see a temperature given as "00390FA0002F." This may seem extremely high, but the temperature data is really only the last two bits, "2F," which is 47 degrees Celsius, which isn't too high.
  • Value - The value field is a vendor normalized field, which the vendor calculates from the raw value. This field is an integer, and has a valid range of 0-253, inclusive. Higher values are typically regarded as better. One may think that ideally this should be 253, but vendors often select 100 or 200 as their (starting) "normal" value. Some values only decrease, and never increase. Others can decrease and increase over the drive's lifetime, and many change continuously throughout the course of a day.
  • Threshold - This field is an integer, and can range from 1-253. This value never changes. The Threshold is the value you never want to see the number in the Value field match or drop below; the Value should always be higher than the Threshold. When the Value is greater than the Threshold, the attribute is considered healthy. If the Value ever falls less than or equal to the Threshold, the attribute is considered failed. When an attribute fails, the S.M.A.R.T. specification states that failure is imminent (within 24 hours). This is not an exact figure. However, if you have an attribute that has failed, you should consider backing up the data on the disk and replacing it as soon as possible.
    • The Threshold field can also be 0. If this is the case, the attribute is an age-related field, as opposed to a health field. Age-related attributes can never fail. If the Value field ever falls to 0, it simply is an indication the drive may be getting old and therefore could be nearing the end of its life. Home Server SMART regards a disk that possesses one or more zero-threshold attributes with a Value of zero as geriatric.
  • Worst - This is supposed to show the worst (lowest) value ever recorded in the Value field. Many times this value is not preserved, especially in non-critical and age-related attributes.
  • Status - Home Server SMART reports a status for every attribute, based upon the values in the Raw Data, Value and Threshold fields. The statuses are defined below:

Home Server SMART defines the following attribute status for every S.M.A.R.T. attribute except Temperature (C2 and E7):

  • Healthy - There are no problems detected with this attribute. The Value is greater than the Threshold, and the Raw Data shows no cause for alarm. A healthy attribute does not affect the drive's health status. If all attributes are Healthy, the disk's health status is Healthy.
  • Degraded - There are some problems detected that possess the potential to become serious problems. Keep an eye on these. Values are still greater than the Threshold, but the Raw Data is showing a reason to be concerned. Attributes that can be Degraded are bad sectors, pending bad sectors, reallocation events, end-to-end errors, uncorrectable sectors and CRC errors. Home Server SMART sets the health status of the drive to Warning.
  • Fail - The S.M.A.R.T. status of a drive, per the S.M.A.R.T. specification, is fail if any attribute's Value falls to less than or equal to its Threshold. Home Server SMART will indicate Fail for the attribute in question, and the drive's health status will be set to Critical.
  • Geriatric - An attribute has reached old age (geriatrics) if its Value reaches zero, and the Threshold is also zero. If all other attributes are Healthy or Geriatric, the disk's health status is Geriatric.

Home Server SMART defines the following statuses for Temperature only. The temperatures displayed here are default values. If you want to use different values, you can customize each temperature threshold individually. You also have the option of not having Home Server SMART warning you of the two lesser heat conditions (warm and hot).

  • Critical- The disk temperature is >= 65 °C / 149 °F. This is dangerously hot and can quickly cause permanent damage to a disk. You need to cool the disk off immediately. Check the computer (or external case) fans to be sure they are functioning correctly and ensure there is good airflow. The disk's health status will be set to Critical.
  • Overheated - The disk temperature is >= 55 °C / 131 °F. This is very hot, and capable of causing permanent damage to a disk. You should get the disk cooled quickly. The disk's health status will be set to Critical.
  • Hot - The disk temperature is >= 50 °C / 122 °F. This is hot, and long-term operation at this temperature can shorten the disk's life span. You should get the disk cooled off. The disk's health status will be set to Warning.
  • Caution - The disk temperature is >= 42 °C / 108 °F. This is warm, but not serious. Keep a close eye on the disk, and if you see the temperature creeping higher, you should check fans and airflow to improve the temperature. This does not cause a change in the disk's health status.


What's New in Home Server SMART

License Agreement and Legal

S.M.A.R.T. is an imperfect technology, and it cannot by any means guarantee when a disk drive will fail, nor can it guarantee that a drive will not fail. This software relies on S.M.A.R.T. for its reporting, and therefore can provide information only as accurate as S.M.A.R.T. is able to provide.

License Agreement

THIS SOFTWARE IS OWNED BY DOJO NORTH SOFTWARE AND IS PROTECTED UNDER COPYRIGHT LAWS, INTERNATIONAL COPYRIGHT TREATIES AND OTHER INTELLECTUAL PROPERTY LAWS. THIS SOFTWARE IS LICENSED, NOT SOLD. THIS SOFTWARE IS PROVIDED UNDER THE FOLLOWING LICENSE WHICH DEFINES WHAT YOU MAY DO WITH THE SOFTWARE AND CONTAINS USAGE RESTRICTIONS AND LIMITATIONS ON WARRANTIES AND/OR REMEDIES.

IMPORTANT - READ THE TERMS AND CONDITIONS OF THIS END USER LICENSE AGREEMENT (THE "AGREEMENT") CAREFULLY BEFORE DOWNLOADING, INSTALLING, OR OTHERWISE USING THE DOJO NORTH SOFTWARE APPLICATION “HOME SERVER SMART” (THE "SOFTWARE"). BY DOWNLOADING, INSTALLING, USING, OR OTHERWISE ACCESSING THE SOFTWARE, YOU ACKNOWLEDGE THAT YOU HAVE READ THIS AGREEMENT, THAT YOU UNDERSTAND IT, THAT YOU AGREE TO BE BOUND BY ITS TERMS AND CONDITIONS, AND THAT YOU ARE AT LEAST 18 YEARS OF AGE. IF YOU DO NOT AGREE TO THE TERMS AND CONDITIONS OF THIS AGREEMENT, PROMPTLY EXIT THIS PAGE WITHOUT DOWNLOADING AND/OR USING THE SOFTWARE.

LICENSE: Subject to the terms and limitations set forth herein, Dojo North Software ("we" or "us") grants you a limited, non-exclusive license to use the Software in accordance with the terms of this Agreement. All rights not expressly stated herein are reserved by Dojo North Software, and Dojo North Software disclaims any and all implied licenses. The copyright and all other rights to the Software will remain with us. You must reproduce any copyright or other notice marked on the Software on all copies you make.

USAGE: In accordance with this Agreement:

YOU MAY:

  1. Install and use the Software on one or morecomputers or a computer network, running the Windows Home Server operating system, for home, personal, business or commercial use;
  2. Make copies of the Software as appropriate solely for the purpose of backup.

YOU MUST NOT:

  1. Make copies of the Software except as expressly permitted in Section 2 of this Agreement;
  2. Translate, reverse engineer, decompile, or disassemble the Software;
  3. Remove or alter any copyright, trademark or other proprietary rights notices contained in the Software or any other Dojo North Software content
  4. Rent, lease, loan, sub-license, distribute, assign, or transfer the Software;
  5. Transmit any viruses, worms, defects, Trojan horses, or any items of a destructive nature;
  6. Use the Software for any unauthorized purpose or in violation of any applicable laws or regulations;
  7. Modify the Software or merge all or any part of the Software with another program.

TERM: This License will continue for as long as you use the Software. However, this License will terminate automatically without notice from Dojo North Software if you fail to comply with any of its terms or conditions. Upon termination you must immediately cease using the Software and remove the Software from your computer. The Limitations of Warranties and Liability set out below will continue in force even after any termination.

Warranty - Software Provided "As Is"

LIMITATION OF WARRANTIES AND LIABILITY: THE SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT ANY WARRANTIES OR CONDITIONS, EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, ANY IMPLIED WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE, OR ANY WARRANTY ARISING BY LAW, STATUTE, USAGE OF TRADE, OR COURSE OF DEALING. YOU ASSUME ALL RESPONSIBILITY AND RISK FOR THE USE OF THE SOFTWARE, AND DOJO NORTH SOFTWARE DISCLAIMS ALL LIABILITY FOR ANY LOSS, INJURY OR DAMAGE RESULTING FROM USE OF THE SOFTWARE, WHETHER DIRECT OR INDIRECT, AND WHETHER OR NOT DOJO NORTH SOFTWARE HAS BEEN ADVISED OF OR HAS KNOWLEDGE OF THE POSSIBILITY OF SUCH LOSS, INJURY OR DAMAGE. IN NO EVENT WILL DOJO NORTH SOFTWARE HAVE ANY LIABILITY TO YOU OR ANY OTHER PERSON OR ENTITY FOR ANY COMPENSATORY, INDIRECT, INCIDENTAL, SPECIAL, CONSEQUENTIAL OR EXEMPLARY DAMAGES WHATSOEVER, INCLUDING, BUT NOT LIMITED TO, LOSS OF REVENUE OR PROFIT, LOST OR DAMAGED DATA OR OTHER COMMERCIAL OR ECONOMIC LOSS, EVEN IF WE HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES, OR THEY ARE FORESEEABLE. WE ARE ALSO NOT RESPONSIBLE FOR CLAIMS BY A THIRD PARTY. DOJO NORTH SOFTWARE'S TOTAL AGGREGATE LIABILITY WITH RESPECT TO ITS OBLIGATIONS UNDER THIS AGREEMENT OR OTHERWISE WITH RESPECT TO THE SOFTWARE OR THE SOFTWARE WILL NOT EXCEED $1.00. THE LIMITATIONS IN THIS SECTION WILL APPLY WHETHER OR NOT THE ALLEGED BREACH OR DEFAULT IS A BREACH OF A FUNDAMENTAL CONDITION OR TERM OR A FUNDAMENTAL BREACH. Some states do not allow the exclusion of incidental or consequential damages or the limitation of duration of an implied warranty so the above limitations may not apply to you.

Additional Legal - Restricted Rights, Export Control, Indemnification and Intellectual Property

RESTRICTED RIGHTS: If this Software is acquired by or for the U.S. Government, then it is provided with Restricted Rights. Use, duplication, or disclosure by the U.S. Government is subject to restrictions as set forth in subparagraph (c)(1)(ii) of The Rights in Technical Data and Computer Software clause at DFARS 252.227-7018, or subparagraphs (c)(1) and (2) of the Commercial Computer Software - Restricted Rights at 48 CFR 52.227-19, or clause 18-52.227-86(d) of the NASA Supplement to the FAR, as applicable. The contractor/manufacturer is Dojo North Software, 49434 Tarrytown Court, Shelby Township, Michigan 48315.

EXPORT CONTROLS: You agree not to export or re-export the Software to any country in violation of the export control laws of the United States of America.

GENERAL: This Agreement is the entire agreement between us with respect to the subject matter hereof, superseding any other agreement or discussions, oral or written, and may not be changed except by a signed agreement. This Agreement will be governed by and construed in accordance with the laws of the State of Michigan, United States of America. If any provision of this License is declared by a court of competent jurisdiction to be invalid, illegal, or unenforceable, such a provision will be severed from the Agreement and the other provisions will remain in full force and effect.

EAR: The Software may contain information that is subject to the Export Administration Regulations ("EAR") issued by the United States Department of Commerce (15 C.F.R., Chapter VII Subchapter C) and that may not be exported, released or disclosed to certain destinations and foreign nationals except in compliance with U.S. law. The preceding statement is required to be included on any and all reproductions in whole or in part of the Software.

INDEMNIFICATION: You agree to indemnify and hold harmless Dojo North Software, and its subsidiaries, affiliates, officers, agents, and employees, advertisers, licensors, and partners, from and against any third party claim arising from or in any way related to your use of the Software, violation of this Agreement or any other actions connected with use of any content, including any liability or expense arising from all claims, losses, damages (actual and consequential), suits, judgments, litigation costs and attorneys' fees, of every kind and nature.

INTELLECTUAL PROPERTY: You acknowledge that Dojo North Software owns all right, title and interest, including without limitation all intellectual property rights, in and to the Software and that you will not acquire any right, title or interest in or to the Software, except the limited license expressly set forth in this Agreement.


What Do I Do When a Failure is P

What Do I Do When a Failure is Predicted?

Hard drives can and do die. Some may last for a great many years and still be good when you replace them with newer models, whereas others could die within hours of purchase. Some will raise red flags aplenty that they're about to go, and others will die suddenly, without warning.

There is no realistic way that Home Server SMART, or any other tool, can tell you exactly when a disk is going to fail. When the S.M.A.R.T. specification was created, they defined Threshold Exceeds Condition (TEC) as one whereby a disk would fail within 24 hours of TEC occurrence. In other words, if any normalized value fell to less than the non-zero threshold, failure was imminent (24 hours or less). In reality, some disks can have several attributes showing TEC and they survive for years. Others can show flawless operating conditions one minute and be completely dead the next. SMART is an imperfect technology, and vendors have a wide degree of latitude in how they implement it. Some vendors may only tolerate a handful of a specific condition before triggering TEC while others may tolerate a lot of a certain condition before throwing in the towel.

Bad sectors are a good example. I've seen some disks trigger TEC on attribue 5 (Bad Sectors) with as few as 50 bad sectors. Others have been closer to 500 before signaling failure.

Only you can make the ultimate decision on what to do. This help text is intended to provide you with suggestions on how to proceed when a disk is starting to misbehave. The ultimate goal is to get the disk replaced before it fails, so you don't lose any data.

Fail and "Un-Fail" - An Airflow Problem?

The normalized value of an attribute is a numeric value that can go up and down. The worst value usually only goes down, typically reflecting the lowest value (typically the "worst") to which the normalized value has ever fallen. The threshold is constant and never changes.

Because the normalized value can rise and fall, it is perfectly possible for a value to fall equal to or less than its threshold, and then rise above it again. This means a disk can actually enter a failure condition, and then come back to a healthy state.

IN MOST CASES, disk failure prediction (TEC) is a one-way street. Bad sectors, end-to-end errors, reallocation event count, etc. are all examples of values that can only get worse, and never better.

Temperature and Airflow Temperature are examples of attributes that can fail and then un-fail. Most disks I've encountered that implement both temperature and airflow temperature will have a zero threshold for temperature but a non-zero threshold for airflow temperature. I have, on numerous occasions, had disks run too hot and the airflow temperature signals TEC, and after cooling the disk the value climbs back above the threshold, returning the disk to a healthy state. The worst value, however, remains at the lowest the normalized value has ever fallen, a reminder of the problem that occurred.

If you have disks that are generating TEC and then coming back to healthy, and the generating conditions are temperature-related, more likely than not you don't have a disk problem, but rather an airflow problem. Of course, an airflow problem can become a disk problem if the disks are allowed to operate in excessively hot conditions for extended periods of time.

In my case, the home server is in the basement which is relatively cool and maintains constant temperature year-round. But when I added some additional external disks, I put them in the same spot as the existing ones, meaning I had to bunch the disks closer together. Previously they had 4-6 inches between them; now they only have an inch or two. This was enough to get them running too hot, as they were close enough together and, without anything to move the air (i.e. a fan), they started overheating. Setting up a small fan on low speed was enough to rein in the overheating, although rather than wasting electricity on running a fan, I will need to re-think my setup and move the disks around for better spacing and airflow.

Home Server SMART vs. Vendor Tools

You may wonder why Home Server SMART (HSS) considers your disk to be critical, and yet when you run the manufacturer's provided diagnostic tools (i.e. SeaTools for Seagate), it says the disk is fine.

The first thing to bear in mind is that each vendor's tools should be able to interpret every raw value for all of its disks. They have likely specified tolerances (an allowable number of certain errors) before the diagnostic signals failure. A disk that has violated a threshold (TEC) should definitely cause the vendor diagnostic tool to raise an error and thus return a failure code to you.

A vendor may consider 250 bad sectors to be acceptable, while Home Server SMART signals Critical. Bad sectors are often a problem that continue to get worse, so HSS will raise the red flag. HSS is designed to err on the side of caution and give you advance warning of a problem, rather than signaling you only once the problem has turned into a disaster. HSS provides you the ability to ignore certain problems--the premise here being one of watchful waiting. If the problem doesn't get worse, it lies dormant and HSS doesn't trigger any alerts. If it gets worse, however, HSS will let you know.

Disks Under Warranty

If the disk is under warranty, and TEC has occurred, it should definitely fail vendor diagnostics. Get the data off of the disk and RMA it as soon as possible. If TEC has not occurred, but Home Server SMART is signaling Critical, you should make a note of which attribute(s) are generating the alert(s). Run the vendor diagnostic tool. If the tool signals failure, you can RMA the disk. If the tool says the disk is healhty, however, you should still contact the vendor (you'll probably have to call their technical support line) and provide them the data shown to you in the HSS console. Vendors may accept this as proof of failure. They are not obliged to do so however, unless their diagnostic tool specifically says there is a failure.

Some folks resort to, ahem, unorthodox methods for "helping" problem disks fail , particularly if the end of the warranty period is near, in order to get the disk to fail diagnostics and seek the RMA.

Out of Warranty

If your disk is out of warranty, it doesn't matter to your pocketbook whether or not TEC has occurred. Out-of-warranty disks cannot be RMAed and so you're going to have to buy a new one. Unless there is a product recall or class action lawsuit over a manufacturer producing a lot (or several lots) of bad drives, you're out of luck in terms of replacement cost.

If you can afford it, and you are willing to buy a new one, you certainly should replace the disk, especially if it is a TEC condition, or a non-TEC condition that keeps getting worse (increasing bad sectors, repeated end-to-end errors, etc.). If replacement cost is an issue, you may be tempted to ride it out as long as possible until the financial situation improves. If you choose this path, closely monitor the disk for any indication of a worsening problem. If the problem appears to be an isolated incident and doesn't worsen, watchful waiting may be a good approach. If the problem continues to worsen, however, you should strongly consider either replacing the disk, or perhaps just removing it from the pool. The latter option may pose a problem if there is not enough space remaining in the pool to transfer data off of the failing disk. If there is enough room, definitely remove the disk from the pool, rather than risking the data residing on it.


Frequently Asked Questions

This page will attempt to answer some questions that commonly come up when dealing with S.M.A.R.T. and disk failures. It is not an all-inclusive list, and if you can't find an answer here, hopefully you will be able to find the answer elsewhere in this help file.

Q: One or more S.M.A.R.T. attributes on my disk are showing a status of Fail. How much time does the disk have before it dies?
A: The S.M.A.R.T. specification states that if an attribute violates its threshold (the attribute value falls to less than or equal to its threshold), the drive will fail within 24 hours. Unfortunately it's not that simple. If you do have a disk that goes to a "fail" status like this, you should heed the warning and take action quickly. Back up the data and follow Windows Home Server procedures to remove the disk from the storage pool. Install a replacement disk and integrate the replacement back into your pool. I have, however, seen disks reporting "imminent failure" that survived for years; in contrast, I've seen hard disks fail without any warning whatsoever. If the disk is still under warranty, you should definitely seek to replace it, as such replacement should be free of charge (except perhaps return shipping).

Q: Home Server SMART is reporting bad sectors, but CHKDSK reports none. Why is this?
A: CHKDSK detects errors in the logical file system, whereas disk sectors are physical components of the disk. When the disk firmware detects a bad sector, that sector is remapped to the spare area. In other words, the disk stops using the bad sector and instead remaps attempts to use that sector to a good sector in the disk's reserved spare area.

Q: The Windows event log reports an error with ID 7 and text similar to "The device, \Device\Harddisk1\D, has a bad block." However, Home Server SMART is not reporting bad sectors for the disk in question. Why is this?
A: A disk's firmware will only reallocate bad sectors on write operations, not read operations. Disks may classify a sector as a pending sector on a failed read, however. Windows' file system driver may encounter failed read conditions that generate this error message, or even write operations. Windows cannot, however, instruct the disk's firmware to flag a sector as bad or pending. Only the disk's onboard firmware can do that.

Q: Some of my disks show enormous raw values for Read Error Rate and/or Write Error Rate, whereas others are zero. Home Server SMART does not generate alerts on the non-zero ones. Is anything wrong?
A: These are vendor-specific raw values. The field is meant to store the rate of hardware related read and write errors, but the raw value has a different structure for different vendors, and sometimes even for the same vendor, and so the decimal number may or may not indicate a problem. Unfortunately, I don't have access to each vendor's specific documentation or APIs, and am thus unable to interpret the value.

Q: Is there an expected remaining lifetime for a disk that develops a bad sector?
A: Google conducted research that showed 64% of disks fail within 30 days of developing their first bad sector.

Q: Are some attributes more critical than others? Why are some attributes listed as Critical?
A: A critical attribute is one that, if it degrades, is much more significant in terms of being an indicator of imminent electromechanical failure. While any attribute that changes from "healthy" to "fail" is a bad thing, a failure on a critical attribute is much more serious, and much more likely to result in near-term failure. Home Server SMART also regards a subset of attributes as super-critical attributes, where even small changes in them trigger at least a warning, whether or not the threshold is violated.

Q: What are the super-critical attributes? Why are they "super" critical?
A: The super-critical attributes are reallocated (bad) sector count, spin retry count, end-to-end error, reallocation event count, pending bad sector count, uncorrectable sector count (aka offline uncorrectable sector count) and ultra DMA CRC error count. With the exception of the CRC, the super-critical attributes are ones that, if they degrade, can result in an imminent degradation and/or total failure of the disk. Of all attributes, these are the most significant ones to pay attention to, especially if they start to degrade. The CRC error is much less serious; if it starts showing up, most likely it's the result of a defective data cable or failing disk controller. Both a defective cable or failing controller can cause data loss and therefore this attribute receives special attention.

Q: Can I reset S.M.A.R.T. attributes on a disk?
A: No, that would be like rolling back an odometer in a car.

Q: I had one or more bad sectors appear, but it's been months since it happened and the drive has worked fine since. Is the disk okay?
A: Bad sectors are never a "good" thing, but if they appeared and the drive has functioned flawlessly since then for an extended period of time (at least several months), and that disk has been subjected to significant I/O activity, there's a reasonably good chance that the bad sector(s) were a "fluke" (a manufacturing defect, perhaps?) and the drive may function fine for a long time. Keep an eye on it from time to time to be sure it doesn't get worse.

Q: Lately a disk has been making a high-pitched squealing sound. It may occur at spin-up, intermittently during normal operation or sometimes continuously. The S.M.A.R.T. data all looks good. Should I be concerned?
A: This sound is often associated with the bearings on the disk starting to wear out. It could be an early indicator of trouble. I've seen disks in this condition function for years, but it shouldn't be taken lightly. Keep a close eye on the disk and if the sounds get worse, replace the disk even if S.M.A.R.T. says all is well.

Q: My disk is making clicking, clunking, grinding and scraping noises. What's wrong?
A: Your disk has probably already failed if you're hearing this. If not, and you can still access the disk, try backing up any valuable data. If you cannot access the disk, you should shut it down immediately and, if you still need to recover the data, you may need to secure the services of a data recovery company. The disk has likely suffered a head crash or other serious electromechanical failure and continued operation will likely cause further damage and data destruction.

Q: What is a head crash?
A: The read/write heads on a hard disk float a microscopic distance above the disk surface. While the disk platters are spinning (typically at 5400, 7200, 10000 or 15000 RPM), the heads should never touch the disk surface. If they do, even if for a mere fraction of a second, the event is called a head crash. This is a catastrophic situation. In the best case, only one or two sectors will have been immediately affected, but oftentimes many (dozens or even hundreds) of sectors are destroyed, and the read/write head itself could be damaged. Magnetic oxide particles and other debris will now be flying around within the disk chamber, which can cause subsequent head crashes. Oftentimes when a head crash occurs, the disk will fail immediately. If it doesn't, total failure is not uncommon within a day or two.

Q: A hard drive failed. S.M.A.R.T. didn't report a single problem, and Home Server SMART rated the disk as Healthy. What happened?
A: S.M.A.R.T. is imperfect, and cannot predict every failure. S.M.A.R.T. can predict many electromechanical failures, but sometimes the failure occurs within a chip on the disk's onboard controller (the circuit board attached to the disk) or the disk's power supply. Unfortunately, S.M.A.R.T. is not perfect, and many disks will fail inexplicably without any kind of warning. One minute they're working fine and the next minute they're dead. By contrast, S.M.A.R.T. can report that a disk's failure is imminent (the S.M.A.R.T. specification states that a failure will occur within 24 hours of an attribute threshold being violated), and yet the disk will continue to function normally for years.

Q: What does it mean that a threshold is violated? What is TEC, or T.E.C.?
A: For every S.M.A.R.T. attribute there are two key numbers that people pay attention to. One is the Threshold, and the other is the (normalized) Value. If the Threshold is nonzero (a health attribute), and the number in the Value field falls so that it is less than or equal to the Threshold, the attribute is said to have failed. Other terms for this include threshold violation, or more commonly, Threshold Exceeds Condition, commonly known as TEC or T.E.C. An attribute that has a Threshold of zero can never fail. (Home Server SMART can still flag an attribute as Degraded, even if the Threshold is zero, if the attribute is a super-critical attribute.) Attribute's that have zero thresholds are considered age attributes, instead of health attributes. Super-critical attributes are always considered when calculating a disk's health, whether or not they have zero thresholds.

Q: What happens if an attribute's value falls to zero? What is a geriatric disk?
A: If this happens, and the Threshold is zero, Home Server SMART considers the attribute to be geriatric. In other words, this condition is a sign of old age. Put simply, in the eyes of the manufacturer, the disk has met or exceeded its expected life expectancy for that particular attribute. For example, a manufacturer may rate a disk for 1,000,000 power cycles. They may set a threshold of zero and a normalized value of 100. For every 1,000 power cycles, that normalized value is decreased by one. So when the one millionth power cycle is reached, the threshold reaches zero. Sure the drive can function beyond that, but to the manufacturer, the disk is "living on borrowed time." Home Server SMART does not consider a geriatric disk to be a problem, particularly if the disk is not exhibiting any other more serious problems.

Q: How is the temperature calculated? The value reported in the Raw Data is clearly enormous, and yet a "reasonable" temperature is reported.
A: The "lowest order" two bytes are used. In the main window, these are the right-most two hexadecimal digits. If you see "3E" for example, this converts to decimal 62, which is 62 degrees Celsius. Depending on your temperature display (i.e. Fahrenheit), you may see a different number. For temperature and airflow temperature, the two right-most digits are always used, and this always converts to Celsius (HSS converts the Celsius value for visual display, if you've configured a different temperature display). The lowest value that can be reported is zero (00) and the highest is 255 (FF).

Q: The number of bad sectors, pending sectors, end-to-end errors, etc. is nonzero in Raw Data, and yet Home Server SMART is not reporting any problems. Why is this?
A: The "lowest order" four bytes are used. In the main window, these are the right-most four hexadecimal digits. The other 8 digits are not used (the vendor may store other data here). The lowest number of these events is thus zero (0000) and can be as high as 65,535 (FFFF).

Q: Is it possible for a SMART attribute to fail, and then "un-fail"?
A: Yes. The best example I can think of is Airflow Temperature on Seagate hard drives. I have several of these that ran hot and the threshold was violated (Value 44, Threshold 45), but when the disks cooled off, the Value went back above 45. Of course the value of the Worst field remained at 44, a forever reminder that the attribute had "failed" at one time.

Q: Does Home Server SMART use the value of Worst in any of its calculations?
A: Other than display purposes, no. If an attribute failed and then "un-failed" (its value increased above its threshold), you will have events in the event log indicating such. Otherwise, no action is taken.

Q: How do you get the XP theme in the WHS Console?
A: Log into your WHS via remote desktop or the server's console (if you have a keyboard, monitor and mouse attached to the WHS). Launch the Services control panel, find the Themes service and set it to Automatic start. Start the Themes service. You should be able to enable XP themes via the Desktop properties control panel (the one where you configure wallpaper, the screen saver, etc.). You may need to reboot your server to get this to take effect, but you shouldn't need to.